Skip to main content
PUT
/
api
/
{organization_id}
/
users
/
{email}
/
roles
/
{user_role_id}
Update user role
curl --request PUT \
  --url https://api.select.dev/api/{organization_id}/users/{email}/roles/{user_role_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://api.select.dev/api/{organization_id}/users/{email}/roles/{user_role_id}"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://api.select.dev/api/{organization_id}/users/{email}/roles/{user_role_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "scope": {
    "id": "<string>",
    "name": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "is_default": false,
  "granted_from_team_name": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

email
string
required

User's email address

user_role_id
string<uuid>
required

The ID of the role assignment

organization_id
string
required

Body

application/json

The updated role configuration

role
enum<string>
required

The new role level (admin, editor, monitor_editor, or viewer). Note: scope cannot be changed after creation

Available options:
admin,
editor,
monitor_editor,
viewer

Response

Successful Response

User's access role to a resource, returned by public API.

id
string<uuid>
required

The unique identifier of this role assignment

role
enum<string>
required

The role level (admin, editor, monitor_editor, or viewer)

Available options:
admin,
editor,
monitor_editor,
viewer
scope
RoleScope · object
required

The scope this role applies to

created_at
string<date-time>
required

When the role was created

updated_at
string<date-time>
required

When the role was last updated

is_default
boolean
default:false

Whether this is a default organization role

granted_from_team_name
string | null

If this role is granted FROM a team (i.e., user has this role because they're a member of the team), the team name